Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision 46d0bc16c6b5f243985d03defd42e6f148227745)
+++ cpukit/ChangeLog	(revision 9c94f544aacecca30be525d6afc2e1dc50afb451)
@@ -779,12 +2457,127 @@
 	* configure.in: Removed error check for enabling macros with either
 	POSIX or ITRON API.
+	* Added macro support to ITRON API.  This is known to compile.
+	* itron/Makefile.am: Added macros directory.
+	* itron/configure.in: Removed error check for enabling macros.
+	* itron/macros/.cvsignore, itron/macros/Makefile.am,
+	itron/macros/rtems/.cvsignore, itron/macros/rtems/Makefile.am,
+	itron/macros/rtems/itron/.cvsignore,
+	itron/macros/rtems/itron/Makefile.am,
+	itron/macros/rtems/itron/eventflags.inl,
+	itron/macros/rtems/itron/fmempool.inl,
+	itron/macros/rtems/itron/intr.inl, itron/macros/rtems/itron/mbox.inl,
+	itron/macros/rtems/itron/msgbuffer.inl,
+	itron/macros/rtems/itron/network.inl, itron/macros/rtems/itron/port.inl,
+	itron/macros/rtems/itron/semaphore.inl,
+	itron/macros/rtems/itron/sysmgmt.inl, itron/macros/rtems/itron/task.inl,
+	itron/macros/rtems/itron/time.inl,
+	itron/macros/rtems/itron/vmempool.inl: New files.
+	* posix/include/rtems/posix/cond.h: #if 0'ed out prototype of 
+	_POSIX_Condition_variables_Get to avoid conflict with macro
+	implementation.
+	* Added macro support to POSIX API.  This is known to compile.
+	* posix/macros/rtems/posix/cond.inl, posix/macros/rtems/posix/intr.inl,
+	posix/macros/rtems/posix/key.inl, posix/macros/rtems/posix/mqueue.inl,
+	posix/macros/rtems/posix/mutex.inl,
+	posix/macros/rtems/posix/priority.inl,
+	posix/macros/rtems/posix/pthread.inl,
+	posix/macros/rtems/posix/semaphore.inl,
+	posix/macros/rtems/posix/timer.inl: New files.
+	* posix/configure.in: Removed error check for enabling macros.
+	* posix/rtems/posix/mutex.h: #if 0'ed out prototypes for inlined
+	routines since you cannot have prototypes for macros.
+	* posix/macros/rtems/posix/Makefile.am: Added files.
+	* score/macros/rtems/score/coresem.inl: Removed comments since
+	convention calls for comments to be in inline versin.
+	* score/macros/rtems/score/object.inl (Objects_Get_local_object): Fixed
+	style to use _ prefix on variable names and use parentheses.
+	* score/macros/rtems/score/object.inl (_Objects_Namespace_remove): Added.
+
+2000-11-30	Joel Sherrill <joel@OARcorp.com>
+
+	* posix/inline/rtems/posix/mqueue.inl: Removed explicit dependency on
+	abs().
+	* General effort to make things compile with macros not inlines
+	* score/inline/rtems/score/coremutex.inl: Added comment indicating for
+	macros there is another copy of _CORE_mutex_Seize_interrupt_trylock() in
+	src/coremutexseize.c.
+	* score/src/coremutexseize.c: Added body of
+	_CORE_mutex_Seize_interrupt_trylock() for macro case.
+	* score/macros/rtems/score/coremutex.inl: Added prototype for 
+	_CORE_mutex_Seize_interrupt_trylock() since there is a real body when
+	macros are enabled.
+	* score/macros/rtems/score/coresem.inl: Added macro implementation of
+	_CORE_semaphore_Seize_isr_disable.
+	* score/macros/score/Makefile.am: Fixed typos.
+	* score/rtems/score/address.inl: Correct macro implementation of
+	_Addresses_Is_aligned() so it would compile.
+	* score/macros/rtems/score/coremsg.inl: Added closing parentheses.
+	* rtems/src/msgqsubmit.c: Modified multiprocessing conditional so this
+	would compile with both macros and inlines.
+	* rtems/macros/rtems/rtems/sem.inl: Added macro implementation of
+	_Semaphore_Get_interrupt_disable().
+
+2000-11-28	Chris Johns <ccj@acm.org>
+
+	* score/src/heapallocate.c: Do not allow the size to overflow when
+	adjusting it.  A test allocated a stack of -1 (~0). This actually
+	resulted in a stack being allocated but with a size of 0xb. The
+	allocator did not test the size to see if it rolled through 0 and so
+	allowed the allocation to happen, the thread to get created. The task
+	crashed as you would expect.
+
+2000-11-27	Joel Sherrill <joel@OARcorp.com>
+
+	* posix/src/sysconf.c: Add support for _SC_CLK_TCK and _SC_OPEN_MAX.
 
 2000-11-09	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
 	* Makefile.am: Use ... instead of RTEMS_TOPdir in ACLOCAL_AMFLAGS.
+	* itron/Makefile.am: Use ... instead of RTEMS_TOPdir in ACLOCAL_AMFLAGS.
+	* posix/Makefile.am: Use ... instead of RTEMS_TOPdir in ACLOCAL_AMFLAGS.
 
 2000-11-02	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
 	* Makefile.am: Switch to ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal.
+	* itron/Makefile.am: Switch to ACLOCAL_AMFLAGS = -I
+	$(RTEMS_TOPdir)/aclocal.
+	* posix/Makefile.am: Switch to ACLOCAL_AMFLAGS = -I
+	$(RTEMS_TOPdir)/aclocal.
+
+2000-11-02	Joel Sherrill <joel@OARcorp.com>
+
+	* score/include/rtems/system.h: Use proper conditional (RTEMS_POSIX_API)
+	so prototypes for POSIX_MP_NOT_IMPLEMENTED(), POSIX_NOT_IMPLEMENTED(),
+	POSIX_BOTTOM_REACHED() are actually included.
+	* score/include/rtems/system.h: Add prototypes for
+	POSIX_MP_NOT_IMPLEMENTED(), POSIX_NOT_IMPLEMENTED(),
+	POSIX_BOTTOM_REACHED() removed from newlib.
+
+2000-10-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* posix/configure.in: Cleanup comments.
+
+2000-10-30	Joel Sherrill <joel@OARcorp.com>
+
+	* posix/include/Makefile.am: Updated to reflect files merged into
+	newlib. This resulted in some definitions moving to other files and thus
+	some secondary effects in RTEMS source code.
+	* posix/include/unistd.h: Removed.  Now use newlib's.
+	* posix/include/rtems/posix/mqueue.h: Add include of <signal.h>.
+	* posix/include/rtems/posix/threadsup.h: Add include of <sys/signal.h>.
+	* posix/src/execv.c: Corrected prototype to agree with newlib.
+	* posix/src/execve.c: Corrected prototype to agree with newlib.
+	* posix/src/execvp.c: Corrected prototype to agree with newlib.
+	* posix/src/psignal.c: Rewrote reference to <siginfo.h> in comment since
+	that file no longer exists.
+	* posix/src/pthreadkill.c: Added include of <signal.h>.
+	* posix/src/sigaction.c: Added include of <signal.h>.
+	* posix/src/sigtimedwait.c: Rewrote reference to <siginfo.h> in comment
+	since that file no longer exists.
+	* POSIX include files merged into newlib.  This resulted in some
+	definitions moving to other files and thus some secondary effects in
+	RTEMS source code.
+	* sapi/include/confdefs.h: Replaced include of <sys/siginfo.h> with
+	<signal.h> since that file no longer exists.
 
 2000-10-25	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -792,4 +2585,55 @@
 	* Makefile.am: ACLOCAL_AMFLAGS= -I $(RTEMS_TOPdir)/macros. Switch to GNU
 	canonicalization.
+	* itron/Makefile.am: ACLOCAL_AMFLAGS= -I $(RTEMS_TOPdir)/macros. Switch
+	to GNU canonicalization.
+	* posix/Makefile.am: ACLOCAL_AMFLAGS= -I $(RTEMS_TOPdir)/macros. Switch
+	to GNU canonicalization.
+
+2000-10-18	Nick Simon <Nick.SIMON@syntegra.bt.co.uk>
+
+	* score/src/heapgetinfo.c, score/include/rtems/score/heap.h,
+	score/src/Makefile.am: Added _Heap_Get_information() and information
+	control block.
+	* score/src/heapgetinfo.c: New file.
+
+2000-10-18	Joel Sherrill <joel@OARcorp.com>
+
+	* sapi/include/confdefs.h: Set CONFIGURE_INIT_TASK_STACK_SIZE to 0 if
+	there is no Classic API Initialization Tasks Table defined.
+	* sapi/include/confdefs.h: Modified code that accounts for
+	initialization task/threads with greater than minimum stack sizes so it
+	would compile even if optional APIs are disabled.
+	* rtems/src/regiongetinfo.c, rtems/include/rtems/rtems/region.h,
+	rtems/include/rtems/rtems/types.h, rtems/src/Makefile.am: Added
+	region_get_information() and information control block.
+	* rtems/src/regiongetinfo.c: New file.
+
+2000-10-12	Joel Sherrill <joel@OARcorp.com>
+
+	* sapi/include/confdefs.h: Account for initialization tasks and threads
+	which use larger than minimum stack sizes.
+
+2000-09-29	Stephan Merker <merker@decrc.abb.de>
+
+	* rtems/include/rtems/rtems/ratemon.h, rtems/src/ratemonperiod.c,
+	rtems/src/ratemontimeout.c: Add next_length field so period length can
+	be changed by the the sequence period(X), period(not X) with no
+	intervening cancel or expiration.
+
+2000-09-28	Joel Sherrill <joel@OARcorp.com>
+
+	* sapi/include/rtems/io.h (rtems_driver_address_table): Added "_entry"
+	to all names.
+	* sapi/src/io.c: Accounted for above.
+
+2000-09-25	Joel Sherrill <joel@OARcorp.com>
+
+	* score/rtems/system.h: Switched a29k and hppa1.1 to using cpuopts.h not
+	targopts.h to reduce dependency on BSP.
+
+2000-09-20	Joel Sherrill <joel@OARcorp.com>
+
+	* score/src/objectgetbyindex.c: Do not enable dispatching on an error
+	path it was not disabled on.
 
 2000-09-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -801,7 +2645,56 @@
 	* wrapup/itron/Makefile.am, wrapup/posix/Makefile.am, 
 	wrapup/rtems/Makefile.am: Include compile.am.
+	* itron/src/Makefile.am: Include compile.am.
+	* posix/src/Makefile.am, posix/optman/Makefile.am: Include compile.am.
+	* score/src/Makefile.am: Include compile.am.
+	* sapi/src/Makefile.am, sapi/optman/Makefile.am: Include compile.am.
+	* rtems/optman/Makefile.am, rtems/src/Makefile.am: Include compile.am.
+
+2000-08-30	Joel Sherrill <joel@OARcorp.com>
+
+	* posix/Many files: Moved posix/include/rtems/posix/seterr.h to 
+	score/include/rtems/seterr.h so it would be available within all APIs.
+	* score/Many files: Moved posix/include/rtems/posix/seterr.h to 
+	score/include/rtems/seterr.h so it would be available within all APIs.
+
+2000-08-30	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* rtems/taskstart.c: Removed 1st cut at rtems_task_start_main_style.
+	Only committed this so it could be easily revisited as we discussing
+	moving main() to user space from BSP space.
+	* rtems/taskstart.c: Added 1st cut at rtems_task_start_main_style.
+
+2000-08-25	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* posix/inline/rtems/posix/timer.inl, posix/include/rtems/posix/timer.h,
+	posix/ inline/rtems/posix/Makefile.am, posix/src/ptimer1.c: Redid the
+	style of src/ptimer1.c.  Continued effort to make the POSIX Timer
+	implementation match that of other managers. Added data structures
+	required to use SuperCore Object Handler.
+
+2000-08-17	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* score/include/rtems/system.h: Include cpuopts.h for __i386__.
+
+2000-08-15	Joel Sherrill <joel@OARcorp.com>
+
+	* posix/src/ptimer1.c: Minor formatting fixes.
+	* posix/src/ptimer1.c: Removed unused routine PRINT_ERRNO_S.
+	* posix/src/ptimer1.c: Removed unnecessary routine COPY_ITIMERSPEC_S and
+	used structure copy instead.
+	* posix/src/ptimer1.c: Renamed timer_alive_t to POSIX_Timer_Control.
+	* posix/include/rtems/posix/timer.h: Ditto.
+	* posix/src/ptimer1.c: Switched to using
+	set_errno_and_return_minus_one() to ensure that errno was always set.
+	* posix/src/ptimer1.c (timer_settime): Converted use of rtems_clock_get
+	to use SuperCore _TOD_Current variable.
 
 2000-08-10	Joel Sherrill <joel@OARcorp.com>
 
 	* ChangeLog: New file.
-
+	* itron/ChangeLog: New file.
+	* posix/ChangeLog: New file.
+	* score/ChangeLog: New file.
+	* sapi/ChangeLog: New file.
+	* rtems/ChangeLog: New file.
+
